/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

// Wait for the deviceready event before using any of Cordova's device APIs.
// See https://cordova.apache.org/docs/en/latest/cordova/events/events.html#deviceready
document.addEventListener('deviceready', onDeviceReady, false);

function onDeviceReady() {
    // Cordova is now initialized. Have fun!
    var permissions = cordova.plugins.permissions;
    permissions.hasPermission(permissions.POST_NOTIFICATIONS, function( status ){
      if ( status.hasPermission ) {
        console.log("Yes :D ");

        cordova.InAppBrowser.open('https://hayobetlink.com/app', '_self', 'location=no', 'zoom=no');
        window.FirebasePlugin.getToken(function(token) {
            // save this server-side and use it to push notifications to this device
            console.log("token: " + token);
        }, function(error) {
            console.error(error);
        });

      } else {
        console.warn("No :( ");
        alert("Aplikasi ini membutuhkan izin Notifikasi / Pemberitahuan. Silahkan izinkan");
        cordova.plugins.diagnostic.switchToSettings();


      }
    });



}

// Tambahkan event listener untuk menangani saat aplikasi dimuat ulang
    document.addEventListener("resume", onAppResume, false);

function onAppResume() {
    // Lakukan pengecekan izin notifikasi lagi saat aplikasi dilanjutkan
    var permissions = cordova.plugins.permissions;
    permissions.hasPermission(permissions.POST_NOTIFICATIONS, function(status) {
        if (status.hasPermission) {
            console.log("Yes :D ");

            // Izin notifikasi sudah diberikan, lakukan tindakan lanjutan yang diperlukan
            cordova.InAppBrowser.open('https://hayobetlink.com/app', '_self', 'location=no', 'zoom=no');
            window.FirebasePlugin.getToken(function(token) {
                // save this server-side and use it to push notifications to this device
                console.log("token: " + token);
            }, function(error) {
                console.error(error);
            });

        } else {
            console.warn("No :( ");
            alert("Aplikasi ini membutuhkan izin Notifikasi / Pemberitahuan. Silahkan izinkan");
            cordova.plugins.diagnostic.switchToSettings();
        }
    });
}